Instalación de OJS

Versión OJS 2.4.8.3

Gracias por descargar con Public Knowledge Project su Open Journal Systems. Antes de seguir, lea el archivo LÉAME incluido en este software. Para más información acerca de Public Knowledge Project y sus proyectos de software, visite el sitio web de PKP. Si ha de informar sobre algún error o tiene preguntas sobre asistencia técnica en Open Journal Systems, consulte foro de asistencia o visite en línea el sistema de información de errores de PKP. Aunque el foro de ayuda es el método preferido de contacto, también puede enviar un correo electrónico a nuestro equipo a pkp.contact@gmail.com.

Actualizar

Si está actualizando una instalación ya existente de OJS 2.x, haga clic aquí para actualizar.

Requisitos de sistema recomendados

  • PHP >= 4.2.0 (incluyendo PHP 5.x); está utilizando actualmente PHP 5.6.40
  • MySQL >= 4.1 o PostgreSQL >= 7.1 (incluyendo PostgreSQL 8.x)
  • Apache >= 1.3.2x o >= 2.0.4x o Microsoft IIS 6
  • Sistema operativo: Cualquier SO compatible con el software anterior, incluidos Linux, BSD, Solaris, Mac OS X y Windows

Ya que PKP no dispone de recursos para probar todas las combinaciones posibles de las diferentes versiones de software junto con sus plataformas, éste no garantiza que el sistema opere correctamente.

Se puede cambiar la configuración después de la instalación editando el archivo config.inc.php en el directorio base de OJS, o utilizando la interfaz web de la administración del sitio.

Sistemas de bases de datos compatibles

Sólo se ha probado OJS en MySQL y PostgreSQL, aunque otros sistemas de gestión de bases de datos aceptados por ADOdb podrían funcionar de forma completa o parcial. Puede enviar al equipo de OJS informes de compatibilidad o parches de código para DBMSs alternativos.

Pasos para la preinstalación

1. Los siguientes archivos y directorios, junto con su contenido, tienen que ser editables:

  • config.inc.php es editable (opcional): Sí
  • public/ es editable: Sí
  • cache/ es editable: Sí
  • cache/t_cache/ es editable: Sí
  • cache/t_compile/ es editable: Sí
  • cache/_db es editable: Sí

2. Se debe crear un directorio para guardar los archivos cargados y debe ser editable (ver a continuación "Configuración del archivo").

Configuración regional

Para obtener compatibilidad completa de Unicode (UTF-8), seleccione UTF-8 para todas las configuraciones de caracteres. Tenga en cuenta que esta funcionalidad sólo es compatible con el servidor de las bases de datos MySQL >= 4.1.1 o PostgreSQL >= 7.1. Tenga también en cuenta que la compatibilidad completa de Unicode requiere PHP >= 4.3.0 compilado con soporte para la mbstring biblioteca (habilitada por defecto en instalaciones más recientes de PHP). Si su servidor no reúne los requisitos expuestos, puede tener problemas al utilizar conjuntos de caracteres extensos.

Su servidor actualmente acepta mbstring:


El idioma principal que se utilizará para este sistema. Consulte la documentación de OJS si está interesado en la compatibilidad de idiomas que no figuran en esta lista.
*

*

*

*

*
*


*
*
*
*
*
*
*

*
*


*
*
*
*
*

*
*

*

Seleccione idiomas adicionales para este sistema. Las revistas almacenadas en el sitio tendrán disponibles estos idiomas para su uso. Además, desde la interfaz de administración del sitio se pueden instalar idiomas adicionales en cualquier momento.
* Las configuraciones regionales marcadas pueden estar incompletas.

La codificación que debe utilizarse para los datos enviados y recibidos desde los navegadores.

La codificación que debe utilizarse para los datos enviados y recibidos desde la base de datos. Debería ser la misma que la del juego de caracteres del cliente. Nótese que esta funcionalidad sólo es compatible con MySQL >= 4.1.1 o PostgreSQL >= 7.1. Seleccione "No aplicable" si su servidor de base de datos no cumple estos requisitos.

La codificación que debe utilizarse para los datos almacenados en la base de datos. Nótese que esta funcionalidad sólo es compatible con MySQL >= 4.1.1 o PostgreSQL >= 7.1. Seleccione "No aplicable" si su servidor de base de datos no cumple estos requisitos.

Configuración del archivo


Introduzca la ruta completa de un directorio existente donde se deban guardar los archivos. Este directorio no debe ser accesible desde la web. Asegúrese de que este directorio existe y es editable antes de la instalación. Los nombres de ruta para las ventanas tienen que utilizar barras oblicuas; p. ej. "C:/mirevista/archivos".
 

Su servidor actualmente permite cargas de archivos:

Su servidor actualmente permite cargar archivos con un tamaño máximo de: 6M

Configuración de seguridad


Se recomienda SHA1 si su sistema es compatible (requiere PHP >= 4.3.0).

Cuenta de administrador/a

Esta cuenta de usuario/a será el administrador/a del sitio y tendrá total acceso al sistema. Tras la instalación se pueden crear cuentas de usuario/a adicionales.

La contraseña debe tener al menos 6 caracteres.

Configuración de la base de datos

OJS requiere el acceso a una base de datos SQL para almacenar sus datos. Vea los requisitos del sistema para obtener una lista de bases de datos compatibles. En los campos siguientes, introduzca la configuración que utilizará para conectarse a la base de datos.


Los controladores de bases de datos que se muestran entre paréntesis no poseen la extensión PHP requerida cargada y la instalación podría fallar si la selecciona.
Los controladores de bases de datos no compatibles se han mostrado anteriormente sólo con fines académicos y es probable que no funcionen.

Deje el nombre del host en blanco cuando se conecte mediante sockets de dominio y no por TCP/IP. Esto no es necesario con MySQL, ya que utiliza sockets automáticamente si se introduce "localhost", pero sí lo es con otros servidores de bases de datos como PostgreSQL.
 
Para utilizar esta opción, el sistema de la base de datos debe ser compatible con la creación de bases de datos remotas y su cuenta de usuario/a debe tener los permisos necesarios para crear nuevas bases de datos. Si la instalación falla con esta opción activada, cree la base de datos manualmente en su servidor y ejecute de nuevo el instalador con la opción deshabilitada.

Configuración OAI


Un identificador único que se usa para identificar los registros de metadatos indizados desde este sitio mediante Open Archives Initiative, el protocolo para la recopilación de metadatos.

Beacon